openipmi 2.0.29-0.1ubuntu1 source package in Ubuntu

Changelog

openipmi (2.0.29-0.1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/fix_pthread_pkg_config.patch: fix pkg-config file:
      Upstream's OpenIPMIpthread.pc.in file passes "-pthread" on
      CFLAGS, but not on LDFLAGS.  Even though this might be OK, GCC
      recommends that, when "-pthread" is used, it should be passed on
      CFLAGS and LDFLAGS.  This patch does that.
  * Dropped changes, accepted by Debian.
    - d/openipmi.init: fix various issues identified upstream (LP #1844448)
    - New upstream release 2.0.27
    - d/rules: disable the now default-on python support
    - d/control: now needs libreadline-dev as build-depends
    - d/p/sample-fix-readline-include-in-ipmi_serial_bmc_emu.c.patch:
      fix readline include in ipmi_serial_bmc_emu.c

openipmi (2.0.29-0.1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Non-maintainer upload.
  * d/watch: Update URL, since sf.net is giving a 404.
  * New upstream version 2.0.29. (Closes: #946059)
  * d/control: Add libreadline-dev to Build-Depends.
    The package doesn't use libedit anymore.
    Thanks to Christian Ehrhardt <email address hidden>
  * d/control: Bump debhelper to 13; use debhelper-compat.
  * d/rules: Disable the Python support.
    The Python support is now on by default, and historically we don't
    ship it, so just disable it.
    Thanks to Christian Ehrhardt <email address hidden>
  * d/rules: Adjust call to dh_install to use -a instead of -s.
    The "-s" option has been deprecated.
  * d/openipmi.init: Add check for systemd-udev.
    Even though udevadm and systemd-udev are distributed by the same
    package, it's a good idea to also check for the systemd-related udev
    binary, just in case.
    Thanks to Richard Laager <email address hidden> (Closes: #939739)
  * d/control: Bump Standards-Version to 4.5.
  * d/control: Add Vcs-* fields.
  * d/openipmi.init: Remove erroneous "$" prefix when printing a string.
    (Closes: #920461)
  * d/watch: Use QA's sf.net redirector.

  [ Christian Ehrhardt ]
  * d/openipmi.init: fix various issues identified upstream (LP: #1844448)
    Debians and upstreams init file diverged a long time ago, so it is hard
    to fully unify them. But we can follow upstreams changes and apply it
    to d/openipmi.init.

 -- Sergio Durigan Junior <email address hidden>  Wed, 05 Aug 2020 13:07:18 -0400

Upload details

Uploaded by:
Sergio Durigan Junior
Sponsored by:
Christian Ehrhardt 
Uploaded to:
Groovy
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
admin
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Groovy release main admin

Downloads

File Size SHA-256 Checksum
openipmi_2.0.29.orig.tar.gz 3.0 MiB 2244124579afb14e569f34393e9ac61e658a28b6ffa8e5c0d2c1c12a8ce695cd
openipmi_2.0.29-0.1ubuntu1.debian.tar.xz 10.8 KiB 8efc3ed07371841bbd3da310c09ee55c21680a0f6837adea402b64029a80c7c5
openipmi_2.0.29-0.1ubuntu1.dsc 2.1 KiB 1955eeaf3bfa7f61247088a7c6342ef1b742a0033a34dd72672a8274a19743e7

View changes file

Binary packages built by this source

libopenipmi-dev: Intelligent Platform Management Interface - development

 IPMI allows remote monitoring and remote management of devices.
 .
 This package contains the development headers needed for compiling
 programs against libopenipmi.

libopenipmi0: Intelligent Platform Management Interface - runtime

 IPMI allows remote monitoring and remote management of devices.
 .
 This package contains the runtime library.

libopenipmi0-dbgsym: debug symbols for libopenipmi0
openipmi: Intelligent Platform Management Interface (for servers)

 IPMI allows remote monitoring and remote management of devices.
 .
 This package contains some command-line and graphical-user-interfaces
 to interact with IPMI-enabled devices.

openipmi-dbgsym: debug symbols for openipmi